nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
nx::sdk::analytics::IObjectTrackBestShotPacket1 Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IObjectTrackBestShotPacket1:

## Public Member Functions
virtual const char * | imageUrl () const =0
virtual const char * | imageData () const =0
virtual int | imageDataSize () const =0
virtual const char * | imageDataFormat () const =0
Ptr< const IAttribute > | attribute (int index) const
virtual int | attributeCount () const =0
Public Member Functions inherited from nx::sdk::Interface< IObjectTrackBestShotPacket1, IObjectTrackBestShotPacket0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Protected Member Functions
virtual const IAttribute * | getAttribute (int index) const =0
Protected Member Functions inherited from nx::sdk::Interface< IObjectTrackBestShotPacket1, IObjectTrackBestShotPacket0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Member Function Documentation

## ◆ attribute()

Ptr<const IAttribute> nx::sdk::analytics::IObjectTrackBestShotPacket1::attribute | ( | int | index | ) | const
| inline

Provides values of so-called Metadata Attributes - typically, some object or event properties (e.g. age or color), represented as a name-value map.

Parameters

  index | 0-based index of the attribute.

Returns
  Item of an attribute array, or null if index is out of range.

## ◆ attributeCount()

virtual int nx::sdk::analytics::IObjectTrackBestShotPacket1::attributeCount | ( |  | ) | const
| pure virtual

Returns
  Number of items in the attribute array.

## ◆ getAttribute()

virtual const IAttribute* nx::sdk::analytics::IObjectTrackBestShotPacket1::getAttribute | ( | int | index | ) | const
| protected pure virtual

Called by attribute()

## ◆ imageData()

virtual const char* nx::sdk::analytics::IObjectTrackBestShotPacket1::imageData | ( |  | ) | const
| pure virtual

Returns
  Pointer to the track best shot image data. Should return null if image URL is provided.

## ◆ imageDataFormat()

virtual const char* nx::sdk::analytics::IObjectTrackBestShotPacket1::imageDataFormat | ( |  | ) | const
| pure virtual

Returns
  Format of the best shot image which is provided via imageData(). Can contain one of the following values: "image/jpeg", "image/png", "image/tiff" for JPEG, PNG and TIFF images correspondingly. If no image data is provided should return null.

## ◆ imageDataSize()

virtual int nx::sdk::analytics::IObjectTrackBestShotPacket1::imageDataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the image data array in bytes.

## ◆ imageUrl()

virtual const char* nx::sdk::analytics::IObjectTrackBestShotPacket1::imageUrl | ( |  | ) | const
| pure virtual

Returns
  HTTP or HTTPS URL of the image that should be used as the track best shot. Only JPEG, PNG and TIFF images are supported.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_track_best_shot_packet.h